Subject: Re: bug#43226: 28.0.50; Running Tramp tests on MS-Windows leaves zombie processes on the remote

From: Michael Albinus <[email-masked]>
Date: Sat, 05 Sep 2020 21:16:25 +0200

Hi Eli,

>> > AFAICS, tramp-cleanup-connection deletes the network connection
>> > processes, but is that supposed to make sure the other side of the
>> > connection exits cleanly?
>>
>> It does at least when you're on GNU/Linux. What happens on MS Windows is
>> beyond my knowledge.
>
> Indeed, it's strange that the result should depend on the local
> system, since the commands sent to the remote are the same in boths
> cases, I'd imagine.

Maybe it has nothing to do with the local OS but with the local
program? On GNU/Linux we use ssh, on MS Windows we use plink.

Best regards, Michael.